메인 콘텐츠로 건너뛰기
POST
/
v1
/
public
/
accounts
/
{account_id}
/
billing
/
change-plan
청구 플랜 변경
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/change-plan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "effective_date": "2023-11-07T05:31:56Z"
}
'
{
  "status": "<string>",
  "account_status": "<string>",
  "effective_at": "2023-11-07T05:31:56Z",
  "eligible": true,
  "previous_plan_id": "<string>",
  "target_plan_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

경로 매개변수

account_id
string<uuid>
필수

본문

application/json

계정 구독 플랜을 변경하기 위한 고객 요청 스키마.

plan_id
enum<string>
필수

대상 요금제 ID

사용 가능한 옵션:
smtp_per_mailbox,
smtp_per_proxy
effective_date
string<date-time> | null

계획 변경에 대한 발효일을 요청했습니다.

응답

status
string
필수

결제 작업 상태

account_status
string | null

작업 후 계정 상태

effective_at
string<date-time> | null

결제 변경사항이 적용된 시점

eligible
boolean | null

계정이 작업에 적합한지 여부

previous_plan_id
string | null

이전 요금제 ID

target_plan_id
string | null

대상 요금제 ID